(function($) {
    function resetColorsToDefault() {
        // Define default values for your color settings
        const defaultColors = {
            'background_color': '#ffffff',
            'senior_care_lite_primary_color': '#f97d4d',
            'senior_care_lite_heading_color': '#1f294b',
            'senior_care_lite_text_color': '#73789a',
            'senior_care_lite_primary_fade': '#f7e2da',
            'senior_care_lite_footer_bg' :'#1f294b',
            'senior_care_lite_post_bg': '#ffffff',
        };

        // Iterate over each setting and set it to its default value
        for (let settingId in defaultColors) {
            wp.customize(settingId).set(defaultColors[settingId]);
        }

        // Optionally refresh the preview
        wp.customize.previewer.refresh();
    }

    // Attach reset function to global scope
    window.resetColorsToDefault = resetColorsToDefault;

    $(document).ready(function() {
        $('.color-reset-btn').val('RESET'); // This adds the 'RESET' text inside the button
    });
})(jQuery);